#ifndef IZ_CONFIG_MOCK_H
#define IZ_CONFIG_MOCK_H

#include <bdd-for-c-mocks.h>
#include "../../../src/packages/config/IZ_config.h"

mock(IZ_ConfigInitialize) IZ_ConfigInitializeResult IZ_ConfigInitialize(IZ_ConfigItem _item[], const char* _config_path, u8 _argc, const char* _argv[]) {
	mock_return(IZ_ConfigInitialize) IZ_CONFIG_INITIALIZE_RESULT_OK;
}

mock(IZ_ConfigSave) IZ_ConfigSaveResult IZ_ConfigSave(IZ_ConfigItem _item[], const char* _config_path) {
	mock_return(IZ_ConfigSave) 0;
}

#endif
